View Issue Details

IDProjectCategoryView StatusLast Update
0002895libextractorpluginspublic2013-06-29 22:15
ReporteramatusAssigned Toamatus 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformOSFreeBSDOS Version8
Product Version1.0.1 
Target Version1.1Fixed in Version1.1 
Summary0002895: gif plugin doesn't compile with giflib 4.2.x
DescriptionThe #if in src/plugins/gif_extractor.c is not sufficient for giflib 4.2.x. Fix attached.
TagsNo tags attached.

Activities

amatus

2013-06-18 15:34

developer  

gif_extractor.patch (775 bytes)
Index: src/plugins/gif_extractor.c
===================================================================
--- src/plugins/gif_extractor.c	(revision 27468)
+++ src/plugins/gif_extractor.c	(working copy)
@@ -67,8 +67,10 @@
   GifByteType *ext;
   int et;
   char dims[128];
-/* GIFLIB >= 5.0 does not define GIF_LIB_VERSION anymore */
-#if !defined (GIF_LIB_VERSION)
+#if defined (GIF_LIB_VERSION) || GIFLIB_MAJOR <= 4
+  if (NULL == (gif_file = DGifOpen (ec, &gif_read_func)))
+    return; /* not a GIF */
+#else
   int gif_error;
   
   gif_error = 0;
@@ -79,9 +81,6 @@
       EGifCloseFile (gif_file);
     return; /* not a GIF */
   }
-#else
-  if (NULL == (gif_file = DGifOpen (ec, &gif_read_func)))
-    return; /* not a GIF */
 #endif
   if (0 !=
       ec->proc (ec->cls,
gif_extractor.patch (775 bytes)

amatus

2013-06-18 15:51

developer   ~0007153

Fixed in revision 27469.

Issue History

Date Modified Username Field Change
2013-06-18 15:34 amatus New Issue
2013-06-18 15:34 amatus File Added: gif_extractor.patch
2013-06-18 15:51 amatus Note Added: 0007153
2013-06-18 15:51 amatus Status new => resolved
2013-06-18 15:51 amatus Resolution open => fixed
2013-06-18 15:51 amatus Assigned To => amatus
2013-06-25 16:16 Christian Grothoff Assigned To amatus =>
2013-06-25 16:16 Christian Grothoff Product Version => 1.0.1
2013-06-25 16:16 Christian Grothoff Fixed in Version => 1.1
2013-06-25 16:16 Christian Grothoff Target Version => 1.1
2013-06-25 16:17 Christian Grothoff Assigned To => amatus
2013-06-29 22:15 Christian Grothoff Status resolved => closed